C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.SelfServiceProfiles.CustomText.ListAsync(
"id",
"en",
"get-started"
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.SelfServiceProfiles.CustomText.List(
context.TODO(),
"id",
management.SelfServiceProfileCustomTextLanguageEnum(
"en",
),
management.SelfServiceProfileCustomTextPageEnum(
"get-started",
),
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.selfServiceProfiles().customText().list("id", "en", "get-started");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->selfServiceProfiles->customText->list(
'id',
'en',
'get-started',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.self_service_profiles.custom_text.list(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.self_service_profiles.custom_text.list(
id: "id",
language: "en",
page: "get-started"
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.selfServiceProfiles.customText.list("id", "en", "get-started");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.selfServiceProfiles.customText.list("id", "en", "get-started");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/self-service-profiles/{id}/custom-text/{language}/{page} \
--header 'Authorization: Bearer <token>'{}Get custom text for a self-service profile
Retrieves text customizations for a given self-service profile, language and Self-Service Enterprise Configuration flow page.
GET
https://{tenantDomain}/api/v2
/
self-service-profiles
/
{id}
/
custom-text
/
{language}
/
{page}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.SelfServiceProfiles.CustomText.ListAsync(
"id",
"en",
"get-started"
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.SelfServiceProfiles.CustomText.List(
context.TODO(),
"id",
management.SelfServiceProfileCustomTextLanguageEnum(
"en",
),
management.SelfServiceProfileCustomTextPageEnum(
"get-started",
),
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.selfServiceProfiles().customText().list("id", "en", "get-started");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->selfServiceProfiles->customText->list(
'id',
'en',
'get-started',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.self_service_profiles.custom_text.list(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.self_service_profiles.custom_text.list(
id: "id",
language: "en",
page: "get-started"
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.selfServiceProfiles.customText.list("id", "en", "get-started");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.selfServiceProfiles.customText.list("id", "en", "get-started");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/self-service-profiles/{id}/custom-text/{language}/{page} \
--header 'Authorization: Bearer <token>'{}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the self-service profile.
The language of the custom text.
Available options:
en The page where the custom text is shown.
Available options:
get-started Response
Retrieved custom text.
The list of custom text keys and values.
Was this page helpful?
⌘I